******************************************
CARAVAN STAR II
******************************************

■ 改定履歴

ver 1.06 2023/09/06
 ゲームオーバー時のBGMが2回鳴るバグを修正
 NEKO機体のバランス調整

ver 1.05 2023/08/31
 ランキング集計バグの修正
 一部の環境で起動できないバグを修正

ver 1.04 2023/05/27
 最新版でリビルド
 KeyConfig廃止
 ランキング時の一部敵動作の修正

ver 1.03 2012/08/10
 起動画面表示時にスクリーン切り替えを行うとエラーになっていた不具合を修正
 使用メモリの最適化
 敵弾の点滅速度を調整
 自機キャラを調整
 ラスボスを調整
 ベルキャラを調整
 タイトルの表示を調整
 一部雑魚の耐久調整
 一部雑魚の出現位置調整
 一部地形の調整
 一部キャラの追加
 ボーナスアイテムを調整
 バックファイアを調整
 BGMの音量を調整
 一部メッセージの調整
 一部雑魚の移動を修正


ver 1.02 2011/12/26
 赤ベル取得・破壊が同時に起動する不具合を修正（破壊優先）
 EX時に赤ベルボーナスを取得するとそれ以降EXTENDしなくなる不具合を修正
 シールドが２個表示される不具合を修正
 異なるボーナスメッセージが重なって表示される不具合を修正
 右上に終了・最小化ボタンを追加
 板を即時破壊できる不具合を修正
 赤ベルの出現位置を中央から上に修正
 赤ベルに攻撃が当たった際の上昇を調整
 赤ベルの体力が少なくなると点滅するように修正
 スマイルパネルをランダムから法則ありに修正
 自機のバランス調整
 一部ボーナス雑魚の出現位置を修正
 速度表示の青を修正
 自爆時に分表示が稼働する不具合を修正

ver 1.01 2011/11/21
 一部雑魚の当たり判定を調整
 一部雑魚がランキングで出現しない不具合を修正
 一部雑魚の出現位置・動作を調整
 一部雑魚が出現していなかった不具合を修正
 フルスクリーン時にアスペクト比率を保持
 フルスクリーンから戻った時にメニューバーを表示
 フルスクリーン時のスクリーンセーバー抑制
 前回選んだステージ・キャラクターを初期表示した
 一部敵弾を調整
 GAME OVERの文字色を変更
 F/W 02の攻撃を調整
 ネームエントリーの不具合を修正
 一部ショットがボーナスになる不具合を修正
 EX時にリザルト２分が５分と表示される不具合を修正

ver 1.00 2011/11/14
 一般公開

ver 1.00 2011/11/10
 一部雑魚の動作を調整
 一部雑魚の耐久調整
 一部雑魚の画像修正
 一部地上物を再配置
 ランキングレイアウトを修正
 Bアイテムを引き寄せる距離を調整
 バックファイアをシングルに統一
 完成版テスター公開
 ５分モードのスターパネルの位置を３パターンランダムに修正
 EX時の赤ベル効果時間を延長
 FW/02の速度を調整
 EX解放条件を追加
 キャラクタ選択の並び順を修正
 ５分モードのスターパネルを１パターンに修正

ver 0.99 2011/11/07
 ベル速度調整
 一部ボーナス取得時間の調整
 ランク表示システム仮搭載（RANK D〜S）
 レイアウト変更
 ２分のハイスコアが５分に反映する不具合を修正
 赤ベルを雲キャラから出すように修正
 一部空中雑魚を変更
 機体のバランス調整
 Sランク条件を追加
 一部キャラの出現位置を調整
 一部空中雑魚の移動速度・アニメーション調整
 評価スコアを調整
 一部アイテムの効果音を修正
 FW/02のサブレーザーを3WAY+2WAYに修正
 クレジット表示をスプラッシュ画面にした
 EXTRA GAMEを仮実装した
 ランキング修正
 赤ベルがPを出さない不具合を修正
 EXは赤ベルを出やすく調整した
 EXはボーナス時は弾を出さないように調整
 EXボス調整
 EXで赤ベルを打つと打ち返すように修正
 EXでランキング表示が空白になる不具合を修正
 ランク表記をメダル（金銀銅）に修正
 リザルトでメダルを表示した
 EXを切換え型に修正
 FW/02のサブを調整
 EX時に選択画面にEXを表示
 一部リプレイが再生できない不具合を修正
 EX弾速を調整
 一部雑魚を調整
 ランク評価が正しく反映されていない不具合を修正
 ラスボスの攻撃を調整
 EX時のクリアボーナス調整
 EX時にかすりボーナスを追加
 EX時に赤ベルが出やすくなっていなかった不具合を修正
 一部表記を修正
 EX時に空中雑魚・ボーナスアイテム・赤ベルのスコアを２倍にした
 EX時にかすりエフェクトを追加 
 EX時にメテオストームがキャンセルされる不具合を修正
 EX時にラスボス挙動がおかしくなる不具合を修正
 ランク設定を調整した
 一部雑魚で爆発エフェクトが出ていない不具合を修正
 自機の斜め移動が速い不具合を修正
 通過スコア以上でハイスコアを出した時のヴォイスを変更
 ２分モードでは通常弾を出さないように調整
 ２分モードで一部敵の攻撃を出さないように調整
 ２分モードでボスの攻撃を調整
 一部敵を調整
 EX時に雑魚が打ち返しをしない時がある不具合を修正
 一部キャラの攻撃判定を調整
 敵弾の視認性を調整
 EX時の赤ベルボーナス仕様を修正
 ハイスコア処理の不具合を修正

ver 0.99SC 2011/10/21
 サンシャインクリエーション限定公開

ver 0.99 2011/10/18
 遺跡エリアに地上物追加
 自機のバランス調整
 一部地上物の耐久調整
 一部雑魚の移動速度調整
 タイトル背景を暫定追加
 タイトルにちびキャラを表示
 キャラ選択時にキャライメージを表示
 キャラ選択を回転式に修正
 モード選択に詳細を追加
 モード選択に背景を追加
 赤ベルの移動・当たりを調整
 モード選択を回転式に修正
 リザルト画面を調整
 ちびキャラをリザルト画面へ
 タイトル背景を修正
 タイトルを回転表示に修正
 赤ベルが上部だと取得できない不具合を修正
 赤ベルが出現した時にベル音を出すように修正
 KeyConfigを最新版に差し替え
 タイトル調整
 ちびキャラをリザルト画面に表示
 一部キャラの耐久を調整
 自機点滅時にバックファイアが荒くなる不具合を修正
 バックファイアを調整

ver 0.98 2011/10/01
 自機速度調整
 ネタキャラ追加
 一部地上物の配置を調整
 水晶を７色に設定
 一部ボーナス雑魚調整
 ボーナス雑魚追加
 一部ボーナススコアを修正
 スターパネルを調整
 タイトル・キャラ選択・リザルト画面を修正
 一部雑魚の耐久調整
 ラスボスの攻撃を調整
 ラスボス破壊時に弾を消去していた処理を削除
 中ボスの攻撃と一部雑魚の攻撃弾を修正
 一部空中雑魚の耐久を調整
 一部空中雑魚の速度を調整
 一部ボーナス雑魚の耐久を調整
 一部敵弾の耐久を調整
 遺跡エリアの地上物追加
 雑魚移動・体力バランス調整
 FW/02のレーザーを集中型・ワインドしない方式に変更
 猫サブの連射弾をダブル・ワインドしない方式に変更
 フィルのサブ再発射を調整
 自機弾のバランス調整

ver 0.97 2011/09/09
 ネタキャラ追加
 自機のバランス調整
 クリアボーナスの加算速度を調整
 地上物の得点を調整
 ラスボスの体力を調整
 遺跡エリア背景修正
 遺跡エリア地上物追加
 フィルの弾を調整
 一部空中雑魚を修正
 猫のサブ武器の前後を置換

ver 0.96 2011/08/31
 自機の移動速度調整
 ラスボスの攻撃・移動を調整
 5分モードクリア時のボーナスを1秒2000点→5000点に修正
 一部キャラの当たり判定を調整
 EXボイスを設定
 一部雑魚が出現しない不具合を修正
 猫の前サブショットを貫通に変更・調整
 自機登場・被ダメージ時の無敵時間を２秒に修正
 クリアボーナスの加算速度を調整

ver 0.95 2011/08/28
 雑魚キャラの基本サイズを32x32から48x48に変更
 一部拡大処理を削除した
 一部雑魚の動作を調整
 一部効果音を修正
 一部エフェクトを修正
 バリア破壊時エフェクトを追加
 パワーアップ時エフェクトを追加
 エフェクトを色別に設定
 花の破壊エフェクト位置がずれていたのを修正
 一部雑魚にボーナスエフェクトを追加
 一部雑魚のボーナスエフェクトを調整
 キャラ回し雑魚の出現順を調整
 ボス系の爆発にエフェクトを追加
 ボス系のHP減の赤点滅を調整
 自機のバランス調整　
 雑魚キャラ追加
 一部雑魚のアニメーションを調整
 爆発エフェクトを修正
 ボスの移動を調整
 一部地上物を再配置
 スターパネルの一部を再配置
 爆発エフェクトの再設定
 一部ボーナス雑魚の破壊時エフェクトを修正
 一部自機の攻撃調整
 自機登場・被ダメージ時の無敵時間を１秒に修正

ver 0.91 2011/08/18
 空中雑魚グラ追加
 一部雑魚の耐久を調整
 一部雑魚の攻撃を調整
 自機の無敵中の点滅を白に修正
 ボス系のHP3割時の赤点滅を調整
 撃墜時にリセットすると出撃処理が優先される不具合を修正
 猫の攻撃を調整
 猫のサブショットを方向キー未入力時に前後に発射するように修正
 一部雑魚の移動を調整
 空中雑魚の基本の大きさを調整
 空中雑魚のランダム出現位置を調整
 自機のバランス調整
 ラスボス調整

ver 0.90 2011/08/11
 一部ボーナスを修正
 一部地上物を設置・修正
 ラスボス調整
 一部雑魚の耐久を調整
 レイアウト調整
 5分モードの空中雑魚完成
 5分モードのボーナス雑魚を追加
 一部キャラにオフセットを設定
 メッセージ位置を調整
 ネタキャラを追加
 自機のバランス調整
 一部雑魚が正常に動作していない不具合を修正
 ダメージ・及び破壊復活の無敵時間を３秒に修正
 ひょっとこの消滅時間を調整
 連射雑魚の弾を変更
 ボーナスパネルが正常に出現しない不具合を修正
 ステージクリア時に自機が表示されない事がある不具合を修正
 一部敵に爆発音を追加
 一部地上物にエフェクトを追加
 猫の移動速度を調整
 一部ボーナス雑魚の耐久を調整
 一部敵の連射速度を調整
 一部敵弾の防御ヒットを修正
 赤ベルが取れなくなる不具合を修正
 リセット時に自機が操作出来てランキングされてしまう不具合を修正
 タイトルを一部調整
 一般公開体験版としてリリース
 リセット時にスコアがクリアされない場合がある不具合を修正

ver 0.85 2011/08/8
 猫のリングレーザーを修正
 5分モードにラスボスを追加
 ラスボス調整
 自機のバランス調整
 ボスの体力が30％を切ると点滅するように修正
 ラスボスの調整
 ラスボスを倒しても内部カウントが停止しない不具合を修正
 一部タイマーが正常にカウントしない不具合を修正
 残りタイム00:00丁度で終了するように修正
 スターボーナスの仕様を修正
 一部フォントを調整
 ラスボスを倒してもカウントが進む不具合を修正
 5分モードに岩エリア追加
 一部地上物の配置を修正
 岩エリアの地上物を一部配置
 5分モードの空中雑魚パターンを追加
 一部空中雑魚の動作を調整
 一部空中雑魚の耐久を調整
 ラスボス調整
 自機の当り判定を調整
 赤ベル出現のゲージ増減を調整

ver 0.81 2011/08/2
 一部機体のバランス調整
 武器ショット音を別々に修正
 一部敵の耐久・スコアを調整
 バックファイアの攻撃力を修正
 一部効果音の音量調整
 一部地上物のグラフィックを変更
 P・Bアイテムのグラフィックを変更
 一部雑魚のグラフィックを変更
 ５分モードを延長（中ボス以降は地上物未設置）
 ラスボス（中ボスと同じ）を配置
 一部雑魚の挙動を変更

ver 0.80 2011/08/01
 ランキング画面にハイスコアを表示
 一部雑魚の出現位置を調整
 コンボアイテムの出現位置・接近間隔を調整
 ハイスコアが初期化されない不具合を修正
 自機のバランス調整
 シールドアイテムをベルに修正
 一部地形修正・敵再配置
 2分モードの中ボスを逃げないように修正
 リザルト画面で１０秒後にランクに移動するように修正
 ボスの攻撃を調整
 一部雑魚の攻撃を調整
 地上配置物の耐久・点数を調整
 中ボスを倒した時に敵弾のみをボーナスに変更
 一部地上物のグラフィックを変更
 F/W 02のサブ武器を5WAYに変更
 一部パワーアイテムの射出方向を修正
 一部地上物の破壊跡を修正
 NEKO機体のグラフィックを変更
 起動ICONを変更

ver 0.75 2011/07/30
 フォントを変更
 フォント変更に伴い一部レイアウトを変更
 ボスの出現位置を調整
 ネタキャラを追加
 文字表示をフォントに変更
 F/W 02のレーザーを調整
 一部地上物を削除
 ネタキャラの一部を修正
 2分モードからネタキャラを削除
 キャラ選択を絵に変更
 それに伴い発射演出を削除
 自機のバランス調整
 救急車が画面外に出てもサイレンが鳴る不具合を修正
 地上物の得点を増やした
 一部グラフィックを変更
 地上物を一部変更
 地上物を再配置

ver 0.70 2011/07/27
 F-WAY機体のサブ攻撃を貫通レーザーに修正
 FILLの包丁再攻撃時間を緩和
 NEKOの貫通力を調整
 自機の攻撃力を全体的に調整
 モード・キャラセレクトの時間を短縮
 速度切り替えを一定間隔に調整
 空中雑魚の当り判定を調整
 詳細表示を修正
 自機のサブ武器を１段階固定に修正
 タイトル修正
 F/W 02のサブをワインダーに修正
 一部雑魚の登場位置を中央寄りに修正
 ボーナスメッセージを統一した
 ボーナスメッセージを上書きするように修正
 コンボボーナスの表示点数が間違っていたのを修正
 速度表示を３色カラーに変更
 F/W 02のサブを同時発射できるように修正
 F/W 02の火力を調整
 自機のメイン攻撃力・再発射時間をレベル毎に変更しないように修正

ver 0.66 2011/07/23
 ハイスコアが正常に保存されない・初期化される不具合を修正

ver 0.65 2011/07/23
 一部ボーナス得点を調整
 空中雑魚とのバランス調整の為に地上物を仮配置した
 モード・キャラ選択時の効果音を修正
 キャラ決定時にモード決定と同じ点滅を追加
 一部編隊にボーナスを追加
 一部地上物の耐久を調整
 スターボーナスの仕様を変更
 花の設置位置を調整
 一部の空中雑魚の攻撃を調整
 ５分モードにスターボーナスを追加
 雲がボス出現中も移動していたのを修正
 中ボス移動・攻撃を調整
 キャラ選択からバトルステージ開始までの時間を短縮
 F-WAYの攻撃力を調整
 一部地上物を調整
 ２分モードのスターボーナスを削除
 中ボスの攻撃間隔を調整
 ハイスコアの表示タイミングを修正

ver 0.61 2011/07/21
 バックファイヤの攻撃力を調整
 F-WAYの攻撃力・発射間隔を調整
 NEKO・FILLの攻撃力・発射間隔を調整
 FILLのメインを５段階・サブを１段階に修正
 NEKOのサブ武器を3段階からダブルに修正
 クリア時演出が途中で止まる不具合を修正
 一部編隊の出現位置を調整
 一部編隊の出現数を修正
 パワーアップの出現位置を調整
 NEKOのメイン弾の色を調整
 背景の一部を調整
 NEKOのサブ武器ダブルを前後に修正
 クリア演出がおかしくなる不具合を修正
 スコア桁数を８桁に統一した
 FILLの包丁再発射時間を調整
 一部キャラに表示優先順位を設定

ver 0.60 2011/07/20
 自機の攻撃・最大発射数調整
 空中雑魚の移動パターンを追加
 一部ヴォイス・BGMの音量調整
 ハイスコアが正しく保存されない不具合を修正
 コンボアイテムを取ると体力がおかしくなる不具合を修正
 自機エクステンドを追加
 FILLの包丁を出してもメインを出せるように修正
 ５分モードクリア処理を追加
 ５分モードクリア時に残時間・残機でボーナスを追加
 一部シークレットボーナス値を調整
 ステージBGMの開始タイミングを調整
 クリアボーナス時に秒が減らない不具合を修正
 ５分モードテスト（２分短縮）限定公開仕様に修正
 クリア演出を追加
 敵弾の色を青にした
 フィルと猫のサブ武器を調整
 一部編隊を調整

ver 0.55 2011/07/13
 ハイスコアの判定をモード別に行うように修正
 ２分キャラ回し制御追加
 ２分用空中雑魚（仮）追加
 空中雑魚出現位置を調整
 Fillのサブ武器効果音を追加
 ５分モードBGM差し替え

ver 0.50 2011/07/08
 Fill・NEKOの武器を修正
 キャラクター選択画面に選択したモードを表示
 中型雑魚を追加
 同時にダメージを食らうとシールドがあっても破壊される不具合を修正
 地上物草２種類を追加
 Fill・NEKOの攻撃調整
 残機が減らない不具合を修正
 TIMEOVER後のリザルト画面の移管を早くした
 コンボアイテムを取得してもバリヤが付かない不具合を修正
 NEKOの特殊攻撃を調整
 速度アイコンの大きさを調整
 ５分モードBGMを設定
 リザルト画面にモードを表示した

ver 0.45 2011/07/05
 背景を一部書き換え
 効果音の一部音量を調整
 バックファイアの大きさを調整
 隠しボーナスを3種類追加
 地上物目玉を花に変更
 地上物木３種類を追加
 2分モードで自爆した場合に５分モードが開始される不具合を修正
 速度アイコンを大きくした
 自機武器の最大発射数を調整

ver 0.40 2011/07/02
 スコア・ハイスコア表示を別画面にした
 ２分・５分モードセレクトを実装
 ランキング画面修正 
 開始時・復活時の無敵時間を１秒に修正
 GAMEOVER時にハイスコアが保存されない不具合に暫定対応
 ハイスコアの表示書き換えタイミングを修正
 フォーメーションボーナスを削除
 選択ステージを調整
 バリヤの大きさをキャラ毎に調整
 背景の雲を修正

ver 0.35 2011/06/28
 中ボス破壊時に落下するように修正
 一部ボイス実装
 コンボアイテムを+500点に修正
 FWAYのリバースショットは青弾にした
 猫のリングレーザーの大きさを調整
 敵の弾を変更
 一部雑魚の移動パターンを変更
 地上物を一部変更
 コンボアイテムはシールド回復のみに変更

ver 0.30 2011/06/20
 タイトル修正
 バック色を変更
 背景を空と雲に変更
 地上物を一部暫定変更
 空中物を暫定変更
 アイテムを暫定変更
 自機を暫定変更
 HIGHスコアと実際のスコアが異なる場合がある不具合を修正
 シークレットボーナスを追加

ver 0.28 2011/06/19
 一部ブロックに破壊音を追加
 HUNTER機体のバランス調整
 機体が破壊されてすぐに赤いバリヤが表示されていた不具合を修正

ver 0.27 2011/06/18
 一部雑魚が出現しなくなる不具合を修正
 ゲーム開始時にBGMアナウンスを追加
 ランキングのメッセージを黄色に変更
 KeyConfigを添付
 ランキングのネーム入力フォントを修正
 機体のバランス調整
 PASER機体のオプション分離時に自機の逆を向くようにした
 HUNTER機体の調整

ver 0.26 2011/06/17
 背景の赤い光を点滅させた
 PASER機体のオプションを分離・合体に変更
 目玉同時破壊のタイミングを厳しくした
 ラスト巨大地上物のボーナスを２秒以内に破壊とした
 機体バランス調整
 ハイスコア表示を点滅させた
 タイトル表示を修正
 バックファイヤ調整
 空中雑魚・地上物の耐久調整

ver 0.25 2011/06/16
 機体のバランス調整
 MAXパワー時にPを破壊するとBを出すように修正
 タイトル位置調整 
 レイアウト修正
 Pを500点・Bを1000点に修正
 通常は赤く・MAXパワー時はシールドを青くした
 ボーナス取得エフェクトを黄色に修正
 MAX速度時にアイコンを黄色にした
 一部オプションの大きさを調整
 WIDE機体のオプション攻撃を押しっぱなしで前方集中にした
 スターブロックが少しずつずれて行く不具合を修正
 GATLING機体にシールドが付かない不具合を修正
 キャラ回し用の空中雑魚が一部出現していない不具合を修正
 固定位置出現の空中雑魚を削除した
 空中雑魚の速度調整

ver 0.20 2011/06/15
 タイトル・メッセージ書き換え
 ２分モードに調整
 レイアウト修正
 スクロール速度変更
 効果音の音量調整
 メッセージ色を黄色に変更
 BOUNS表示を変更
 HIGHスコアの表示を追加
 機体バランス調整
 コンボボーナスの出現位置をランダムにした 
 シールドONの時は機体にリングを表示した
 空中雑魚HIT時に効果音を鳴らすようにした
 ゲームオーバー時のBGMループをしないように修正
 システムフォントを黄色に修正

ver 0.10 2011/06/14
 CS1よりシステム移行
 機体バランス調整
 BGM差し替え 

END OF HISTORY